Skip to content
Browse files

important: DBD::mysql 4.004 or later required

This version of DBD::mysql is required in order to have
proper handling of UTF8 strings.

Also bumped version of YAML::Syck down to 0.71 to
match Debian stable package.

Signed-off-by: Chris Cormack <crc@liblime.com>
Signed-off-by: Joshua Ferraro <jmf@liblime.com>
  • Loading branch information...
1 parent 358ec9c commit 8f82439e6193df2f9ee3d435ccdcbf88448e50e0 Galen Charlton committed with Joshua Ferraro Dec 28, 2007
Showing with 67 additions and 3 deletions.
  1. +2 −2 Makefile.PL
  2. +63 −1 README.debian
  3. +2 −0 install_misc/debian.packages
View
4 Makefile.PL
@@ -465,7 +465,7 @@ WriteMakefile(
'CGI::Session' => '4.10',
'Class::Factory::Util' => 1.6,
'Class::Accessor' => 0.30,
-'DBD::mysql' => 3.0008,
+'DBD::mysql' => 4.004,
'DBI' => 1.53,
'Data::ICal' => 0.13,
'Data::Dumper' => 2.121_08,
@@ -520,7 +520,7 @@ WriteMakefile(
'XML::SAX::ParserFactory' => 1.01,
'XML::Simple' => 2.14,
'XML::RSS' => 1.31,
-'YAML::Syck' => 1.00,
+'YAML::Syck' => 0.71,
},
# File tree mapping
View
64 README.debian
@@ -87,7 +87,14 @@ sources
Run the following command:
- $ sudo cpan MARC::Record Class::Accessor MARC::Charset MARC::File::XML Net::Z3950::ZOOM HTML::Template::Pro MARC::Crosswalk::DublinCore PDF::Reuse PDF::Reuse::Barcode Data::ICal GD::Barcode::UPCE XML::RSS Algorithm::CheckDigits::M43_001 Biblio::EndnoteStyle POE Schedule::At
+ $ sudo cpan MARC::Record Class::Accessor MARC::Charset MARC::File::XML \
+ Net::Z3950::ZOOM HTML::Template::Pro MARC::Crosswalk::DublinCore \
+ PDF::Reuse PDF::Reuse::Barcode Data::ICal GD::Barcode::UPCE \
+ XML::RSS Algorithm::CheckDigits::M43_001 Biblio::EndnoteStyle POE Schedule::At
+
+There is a known but benign error in the test case for Barcode::Code128,
+which is required by PDF::Reuse::Barcode. If this module is not installed,
+you can do a forced installation of Barcode::Code128.
Note: you may need to run CPAN initialization if you've not run cpan
before:
@@ -138,6 +145,61 @@ When the configuration is completed CPAN will install the Perl modules.
mysql> quit
+2.3 Create test database in order to install DBD::mysql
+
+In order to handle UTF-8 correctly, Koha requires at least version 4.004
+of the DBD::mysql Perl module. However, Debian Etch has a stable package
+only for version 3.0008, so it is necessary to install the module from CPAN.
+Because of DBD::mysql's test suite, it is necessary to temporarily create a
+test database and user:
+
+ $ mysql -uroot -p<password>
+
+ Create the database and user with associated privileges:
+
+ Welcome to the MySQL monitor. Commands end with ; or \g.
+ Your MySQL connection id is 22
+ Server version: 5.0.32-Debian_7etch3-log Debian etch distribution
+
+ Type 'help;' or '\h' for help. Type '\c' to clear the buffer.
+
+ mysql> create database test;
+ Query OK, 1 row affected (0.00 sec)
+
+ mysql> grant all on test.* to 'test'@'localhost' identified by 'test';
+ Query OK, 0 rows affected (0.00 sec)
+ (test database, user, and password can be different if need be)
+
+ mysql> flush privileges;
+ Query OK, 0 rows affected (0.00 sec)
+
+ mysql> quit
+
+Next install DBD::mysql:
+
+ $ sudo cpan
+
+ cpan> o conf makepl_arg
+ (get current value of this CPAN parameter)
+
+ cpan> o conf makepl_arg "--testdb=test --testuser=test --testpass=test"
+
+ cpan> install DBD::mysql
+
+ cpan> o conf makepl_arg ''
+ (clear this setting to not interface with future CPAN installs).
+
+
+Finally, remove the test database:
+
+ $ mysql -uroot -p<password>
+
+ mysql> drop database test;
+ Query OK, 1 row affected (0.00 sec)
+
+ mysql> exit
+ Bye
+
3. Run the Koha installer
$ perl Makefile.PL
View
2 install_misc/debian.packages
@@ -1,3 +1,4 @@
+at install
apache2 install
cvs install
make install
@@ -32,6 +33,7 @@ libidzebra-2.0-mod-grs-regx install
libidzebra-2.0-mod-grs-xml install
libidzebra-2.0-mod-text install
libidzebra-2.0-modules install
+libmysqlclient15-dev install
libnet-ldap-perl install
liblist-moreutils-perl install
liblocale-gettext-perl install

0 comments on commit 8f82439

Please sign in to comment.
Something went wrong with that request. Please try again.